WebCenter Sites 11g JSP 2.1 Errors When Using trimDirectiveWhitespaces (Doc ID 1494706.1)

Last updated on JUNE 29, 2017

Applies to:

Oracle WebCenter Sites - Version 7.6.0 and later
Information in this document applies to any platform.

Symptoms

The JSP directive <%@ page trimDirectiveWhitespaces="true"%> is not working on WebLogic.

The following error is shown:

MyElement.jsp:1:10: The attribute "trimDirectiveWhitespaces" is supported by JSP 2.1 or higher version.
<%@ page trimDirectiveWhitespaces="true"
         ^----------------------^

The same thing works fine on Tomcat.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms